<?php 
//koneksi ke database
$koneksi = mysqli_connect("localhost","daftarcepat_admin","pastisukseS88a","daftarcepat_admin");

//membuat query SQL
$sql = "SELECT * FROM daftar";

//mengeksekusi query
$result = mysqli_query($koneksi,$sql);

//mengaktifkan output buffering
ob_start();

//membuat file CSV pada output buffering
$file = fopen('php://output', 'w');

fputcsv($file, array('No', 'Nama', 'No HP', 'BANK', 'No Rekening', 'Nama Rekening', 'Username'));

while($row = mysqli_fetch_assoc($result)){
    fputcsv($file, $row);
}

//menutup file CSV
fclose($file);

//mengambil isi dari output buffering
$csv = ob_get_clean();

//membuat nama file dengan format tanggal, jam, dan menit
$filename = 'hasil/data_' . date('Y-m-d_H-i') . '.csv';

//menyimpan file CSV di dalam folder "hasil"
if (!file_exists('hasil')) {
    mkdir('hasil', 0777, true);
}
file_put_contents($filename, $csv);

//mengunduh file CSV
header('Content-Type: text/csv');
header('Content-Disposition: attachment; filename='.basename($filename));
header('Content-Length: ' . filesize($filename));
readfile($filename);

//keluar dari script PHP
exit();
?>
